net.i2p.client.streaming

## Class PacketQueue

- java.lang.Object
- - net.i2p.client.streaming.PacketQueue

-      class PacketQueue
      extends Object

  Queue out packets to be sent through the session. Well, thats the theory at least... in practice we just send them immediately with no blocking, since the mode=bestEffort doesnt block in the SDK.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PacketQueue(I2PAppContext context, I2PSession session, ConnectionManager mgr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enqueue(PacketLocal packet)` Add a new packet to be sent out ASAP keys and tags disabled since dropped in I2PSession

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PacketQueue

          public PacketQueue(I2PAppContext context,
                     I2PSession session,
                     ConnectionManager mgr)

  - ### Method Detail

    - #### enqueue

          public void enqueue(PacketLocal packet)

      Add a new packet to be sent out ASAP keys and tags disabled since dropped in I2PSession